@charset "utf-8";

/********* HTMLリセット *********************************************/

body, div, h1, h2, h3, h4, h5, h6, p, ul, ol, li, dl, dt, dd, pre, blockquote, th, td, form, fieldset, input, textarea {
	margin: 0;
	padding: 0;
}
h1, h2, h3, h4, h5, h6 {
	font-size: 100%;
	font-weight: normal;
}
em, strong, code, address, th {
	font-weight: normal;
	font-style: normal;
}
ul, ol {
	list-style: none;
}
q:before, q:after {
	content: "";
}
abbr, acronym {
	border: 0;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
	table-layout: fixed;
	width: max-content;
}
th {
	text-align: left;
}
fieldset, img {
	border: 0;
}

/********* HTML再定義 ***********************************************/

body {
	margin-top: 40px; /* ヘッダーの高さ分だけ下げる */
	line-height: 1.4;
	margin-left: auto;
	margin-right: auto;
	padding: 10px;
	background-color: #fff;
	color: #000000;
	font-size: 80%;
	font-family: "Noto Sans JP", sans-serif;
	font-optical-sizing: auto;
    font-style: normal;
}

h1 {
	line-height: 1.0;
	font-size: 180%;
	font-weight: bold;
	margin-bottom: 10px;
	float: left;
	padding: 0 0 0 16px;
}
h2 {
	margin: 10px 0 30px 0;
	padding: 5px ;
	border-left:  5px solid #8fbc8f;
	font-weight: bold;
}
h3 {
	font-weight: bold;
}
h4, h5, h6 {
	margin: 10px 0;
	font-weight: bold;
}

p {
	margin: 14px 0 10px 6px;
}
em, strong {
	font-style: normal;
	font-weight: bold;
}
ul {
	margin: 10px 20px;
}
ul li {
	list-style: disc;
}
ol {
	margin: 10px 30px;
}
ol li {
	list-style: decimal;
}
dl {
	margin: 10px 0;
}
dl dd {
	margin-left: 30px;
}
pre {
	overflow: auto;
	margin: 10px 0;
	padding: 10px;
	border: 1px solid #DDDDDD;
}
code {
	color: #000080;
}
pre, code {
	line-height: 1.2;
	font-size: 100%;
	font-family: "ＭＳ ゴシック", monospace;
}
blockquote {
	overflow: auto;
	margin: 10px 0;
	padding: 0 15px;
	border-left: 2px solid #7777AA;
}
blockquote div, blockquote p, blockquote li, blockquote dt, blockquote dd {
	color: #777777;
}
address {
	padding-top: 10px;
	border-top: 1px solid #999999;
}

table {
	margin: 15px 5px;
}
table tr:nth-child(even) td {
	background-color: #fff;
}
table tr th {
	padding: 5px;
	border: 1px solid #ccc;
	background-color: #ddd;
	font-weight: bold;
	text-align: center;
}
table tr td {
	padding: 5px;
	border: 1px solid #ccc;
	background-color: #f5f5f5;
}

form legend {
	display: none;
}
form input, form textarea {
	padding: 4px;
	font-size: 16px;
	border:1px solid #ccc;
}
form dl dt {
	float: left;
	clear: left;
	width: 6em;
}
form ul {
	margin: 15px 0px;
}
form ul li {
	list-style: none;
}
form p input {
	padding: 2px;
}
img {
	vertical-align: middle;
	margin: auto 1px;
}

a:link, a:visited {
	color: #0000CC;
	text-decoration: underline;
}
a:active, a:hover {
	color: #FF7700;
	text-decoration: underline;
}

/********* 基本構造 *************************************************/
header {
  position: fixed; /* ヘッダーを固定する */
  width: 100%; /* 画面の幅いっぱいに広げる */
  background-color: #fff; /* 背景色を設定 */
  z-index: 1000; /* ヘッダーを他の要素の上に表示 */
  top: 0;
  left: 0;
  padding-bottom:4px;
}

/* ナビゲーションメニュー */
.nav-menu {
  background-color: #fff; /* メニューの背景色 */
  color: #000; /* メニューテキストの色 */
  width:120px;
  height:30px;
}
.menu-list {
  display: flex;
  justify-content: center; /* メニューアイテムを中央揃えに */
  text-align:center;
  margin:0;
  padding:0;
}
.menu-item {
  position: relative;
  list-style:none;
  padding: 6px 10px 0 0;
}
.menu-item:last-child {
}

/* メニューアイテムのホバースタイル */
.menu-item:hover .drop-menu-list {
  visibility: visible; /* 下層メニューを表示 */
  top:36px;
  left:0;
  margin:0;
  padding:0;
}
.menu-item a {
  align-items: center;
  color: #fff; /* メニューアイテム内のリンクテキストの色 */
  display: flex;
  height: 30px;
  justify-content: center;
  text-decoration: none; /* リンクの下線を非表示 */
  width: 120px;
}
.menu-item a:hover {
  opacity: 0.7;
}
/* ドロップダウンメニュー */
.drop-menu {
  width:120px;
  height:30px;
}
.drop-menu-item{
	list-style:none;
}
.drop-menu-list {
  background-color: #8fbc8f; /* ドロップダウンメニューの背景色 */
  left: 0;
  position: absolute;
  top: 100%;
  visibility: hidden; /* 下層メニューを非表示 */
  width: max-content;
  z-index: 1;
}

main {
  margin: 0;
  padding: 0;
  background-color: #fff; /* 背景色を設定 */

}
div#container {
	width: 550px;
	margin: 0 auto;
	padding: 20px;
	border: 1px solid #666666;
	background-color: #FFFFFF;
}
div#work {
	margin-bottom: 20px;
}
.kobetsu {
	max-width: 550px;
	margin: 0 auto 40px auto;
	padding: 20px;
	background-color: #f5f5f5;
}
.k-id , .k-soshiki , .k-yakushoku , .k-seimei , .k-ribon , .k-zaseki , .k-charge , .k-comment, .k-kana , .k-reception , .k-updater , .k-hidden , .k-edit {
	display: block;
	width: 100%;
	padding: 6px 0;
	text-align: center;
}
.k-soshiki, .k-yakushoku {
	font-size: 18px;
}
.k-seimei , .k-ribon , .k-zaseki , .k-charge {
	font-size: 30px;
}
.k-comment {
	color: red;
}
.k-edit {
	text-align: right;
}
.comment {
	color:red;
	width: 100%;
}
.work {
	width:100%;
}
.kana {
	width:100%;
}
.kobetsu dl { display: flex; flex-wrap: wrap; width: 100%; align-items: center; }
.kobetsu dt { width:20%; font-size:16px; margin:4px; }
.kobetsu dd { width:75%; font-size:16px; margin:4px; }
.kobetsu dd input { padding: 8px; width:100%; }
input.checkbox { width:20px !important; }
label.checkbox { }
input[type=checkbox] { transform: scale(1.2); }

/********* ページ移動 ***********************************************/

div#page h2 {
	display: none;
}
div#page ul {
	margin: 5px 0;
}
div#page ul li {
	display: inline;
	margin-right: 10px;
}

/********* ナビゲーション *******************************************/

div#navi {
	margin: 0;
	padding: 5px;
	background-color: #f5f5f5;
}
div#navi ul {
	margin: 5px 7px;
}
div#navi ul li {
	display: inline;
	margin-right: 8px;
}
div#navi ul li a {
	background-color: #8fbc8f;
	padding: 5px 8px;
	color: #fff;
	text-decoration: none;
	font-size: 16px;
	border-radius: 6px;
}
div#navi ul li a:hover {
	opacity: 0.7;
}
.btn_qr {
	background-color: #2e8b57 !important;
}
/********* 検索窓 *******************************************/
form {
	margin: 8px 0;
}
/********* フッター *******************************************/
#footer { margin-top: 60px; }
#footer p {
	text-align: center;
	color: #d3d3d3;
	font-size: 90%;
}
/********* 一覧表形式 *******************************************/
.subtitle{ font-size: 80%; font-weight:normal; margin:8px 0 2px 18px;}
.f100    { font-size: 100%;}
.f130    { font-size: 130%;}
.f130b   { font-size: 130%; font-weight:bold; color:red; }
.f150    { font-size: 150%;}
.f150b   { font-size: 150%; font-weight:bold; color:red; }
.f160b   { font-size: 160%; font-weight:bold;  }
.gmap-icon{width:24px;height:24px;}
.inout_title{ font-size:130%; }
.datetime{ text-align: center; font-size:200%;}
.counter { text-align: center; font-size:300%;}
.cred    { color:red;}
.ichiran {
	height: 100%; /* 表示する高さ */
	overflow-y: auto; /* 縦スクロールを有効化 */
}
.annaizu  {margin-top:24px;}
.menu-btn {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 30px; /* ボタンの横幅 */
  height: 20px; /* ボタンの縦幅 */
  background-color: transparent;
  border: none;
  cursor: pointer;
  margin-top: -18px;
  margin-left: 96px;
}

.menu-btn span {
  display: block;
  width: 100%;
  height: 3px; /* 線の太さ */
  background-color: #333; /* 線の色 */
  border-radius: 2px;
}

.i-b      { width: 26px; }
.i-no     { width: 24px; }
.i-seimei { width: 125px; font-size: 20px; }
.i-soshiki{ width: 235px; }
.i-ribon  { width: 80px; }
.i-zaseki { width: 40px; }
.i-charge { width: 80px; }
.i-comment{ width: 160px; }
.i-kana   { width: 240px; }
.i-reception{ width: 140px; }
.i-hidden { width: 50px; }

.small    { font-size:11px; }
/********* カード形式 *******************************************/
.card {
	width:100%;
	padding-top:15px;
}
.card ul {
    list-style: none;
    margin: 0;
    padding: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
	
}

.card ul li {
	list-style: none;
	width: 18%;
	background-color: #f5f5f5;
}
.card ul li a {
	text-decoration: none;
	color: #000;
}
.card ul li a:hover {
	opacity: 0.7;
}
.sumi {
	background-image: url("images/sumi.png") ;
	background-repeat: no-repeat;
	background-position: center;
}
.sumi_s {
	background-image: url("images/sumi_s.png") ;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

.card-id , .card-soshiki , .card-yakushoku , .card-seimei , .card-ribon , .card-zaseki , .card-charge , .card-comment , .card-reception , .card-updater , card-edit {
	display: block;
}
.card-soshiki , .card-yakushoku , .card-seimei , .card-ribon , .card-zaseki , .card-charge , .card-comment ,  .card-reception , .card-updater {
 	text-align: center;
 	padding: 4px 0;
}
.card-seimei {
	font-size: 22px;
}
.card-comment {
	color:red;
}
.card-id {
	background-color: #666;
	color: #fff;
	font-size: 10px;
	padding: 2px;
	width:32px;
}
/********* 処理選択 *************************************************/

div#work form {
	margin: 10px 0;
}
div#work form dl dt {
	display: none;
}
div#work form dl dd {
	margin: 0;
}

/********* 設定編集 *************************************************/

div#config form div.data {
	margin-bottom: 20px;
}
div#config form div.data h3 {
	margin: 20px 0 15px 0;
	padding: 3px;
	background-color: #EEEEEE;
}
div#config form div.data p.comment {
	margin: 0 3px 3px 3px;
}
div#config form div.data p.config {
	margin: 0 3px 10px 3px;
}

/********* 個別指定 *************************************************/

.attention {
	color: #FF0000;
	font-weight: bold;
}

/********* IE6用設定 ************************************************/

* html body {
	text-align: center;
}
* html body div#container {
	width: 590px;
	text-align: left;
}
* html body pre {
	width: 100%;
}
* html body table tr th, * html body table tr td {
	font-size: 80%;
}



 
.textr{
 	text-align:right;
}
 
.ime_off {
	ime-mode: inactive; /*半角モード */
}
.ime_on {
	ime-mode: active; /*全角モード */
}

.clear {
	clear: both;
}
/* 検索ボタン */
input.submit_button{
	padding: 4px 10px;
	color: #fff;
	background-color: #0080ff;
	border: none;
	border-radius: 4px;
}
/* 登録するボタン */
input.submit_button2{
	display: block;
	margin: 20px auto 0 auto;
	padding: 10px;
	border: none;
	color: #fff;
	background-color: #8FBC8F;
	font-size: 16px;
	border-radius: 6px;
}
/* キャンセルするボタン */
input.submit_button3{
	display: block;
	margin: 20px auto 0 auto;
	padding: 10px;
	border: none;
	color: #fff;
	background-color: #a52a2a;
	font-size: 16px;
	border-radius: 6px;
}
input.submit_button_in{
	display: block;
	margin: 40px auto 0 auto;
	padding: 20px;
	border: none;
	color: #fff;
	background-color: #8FBC8F;
	font-size: 300%;
	border-radius: 6px;
	width: 75%;
	height: 200px;
}
/* 案内図ボタン */
.submit_button_a{
	display: block;
	margin: 0 auto 4px auto;
	padding: 10px;
	border: none;
	color: #fff;
	background-color: #8FBC8F;
	font-size: 16px;
	border-radius: 6px;
	width:75%;
}
.annaizu a {text-decoration:none; text-align:center; font-weight:bold;}

div#members{
	margin: 0;
	padding: 8px 0 0 0;
	float: right;
}
/* ログイン画面 */
.login-container {
  max-width: 400px;
  margin: 20px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.form-group {
  margin-bottom: 15px;
}

.form-group label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
}

.form-group input[type="text"], .form-group input[type="password"] {
  width: 93%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 3px;
}

#login button[type="submit"] {
  width: 98%;
  margin-top: 20px;
  padding: 10px;
  background-color: #8fbc8f;
  color: #fff;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  font-size: 16px;}

/* csv用ページの表 */
table.csv { width: 100%; }

/* QRコード読み取りページ */
#canvas { margin: 20px; }
#output { margin: 0 20px;}

@media screen and ( max-width: 768px ) {
	.card ul li { width: 47%; }
    .login-container { max-width:320px;}
}
@media print{
	header { display:none; }
	body   { margin-top: 0;}
	
}
